#ifndef TBTerminal_H
#define TBTerminal_H


#include "CDSys.h"




/* Call this after changing fonts so that everything will
   still line up. */

pQUALIFIER void InitScreen(void);

/* ClearScreen clears the current port pointed to by the Port and
   resets the pen to the top left corner. */

pQUALIFIER void ClearScreen(void);

/* Returns in 'ch' the character typed on the keyboard or 0c if
   there is no character. */

pQUALIFIER void BusyRead(char *ch);

/* Returns in 'ch' the character typed on the keyboard and hangs
   waiting for a key. */

pQUALIFIER void Read(char *ch);

/* Write the character 'ch' to the terminal, automatically handling
   wrap-around and scrolling.  The following characters are special:
      7C - Beep the speaker.
     10C - Backspace and delete one character.
     13C - Move the pen down one line, scrolling if necessary.
     14C - Clear the screen and move pen to top left corner.
     15C - Move pen down one line and to left of grafport.
     30C - Erase current line and position the pen to
           beginning of line. */

pQUALIFIER void Write(char ch);

/* Move the pen to character position x and y */

pQUALIFIER void CursorPosition(unsigned short x, unsigned short y);


/* Either one of the following must be called before any of the above */

pQUALIFIER void TBTermin_Init(void);

pQUALIFIER void InitTBTermin(void);


#endif /*TBTerminal_H*/

/* End. */
