/*
	File:		CapFileIOController.h
                       

	
*/

#import <Cocoa/Cocoa.h>


@interface CapFileIOController :  NSObject
{
    IBOutlet NSButton       *allDocumentCheckBox;	
    IBOutlet NSView         *customPanelView;
    
    NSOpenPanel             *_openPanel;
    NSSavePanel             *_savePanel;
    NSArray                 *_fileTypes;
    NSArray                 *_fileExtensions;
    BOOL                    _singleFile;
    BOOL                    _directoriesOnly;
    BOOL                    _allDocuments;
    NSString                *_suggestedFileName;
    NSString                *_osFileSaveTypeString;
    NSString                *_windowMessage;
    NSURL                   *_dirURL;
    NSBundle                *_bundle;
    
}

@property(readwrite, retain) NSOpenPanel    *_openPanel;
@property(readwrite, retain) NSSavePanel    *_savePanel;
@property(readwrite, retain) NSArray        *_fileTypes;
@property(readwrite, retain) NSArray        *_fileExtensions;
@property(readwrite,assign)BOOL             _singleFile;
@property(readwrite,assign)BOOL             _directoriesOnly;
@property(readwrite,assign)BOOL             _allDocuments;
@property(readwrite,copy)NSString           *_suggestedFileName;
@property(readwrite,copy)NSString           *_osFileSaveTypeString;
@property(readwrite,copy)NSString           *_windowMessage;
@property(readwrite,retain)NSURL            *_dirURL;
@property(readwrite,retain)NSBundle          *_bundle;


+ (CapFileIOController *)sharedController;
-(BOOL) doSaveFile: (NSURL **) theFinalDirURL chosenFileURL: (NSURL **)theChosenFileURL;

-(BOOL)doOpenFileMulti:  (NSString *)message fileRefs: (NSMutableArray **) opendFileRefArray fileURLS: (NSArray **)openedFileURLS;

-(IBAction)allDocumentsPressed:(id)sender ;

- (BOOL)panel:(id)sender shouldEnableURL:(NSURL *)url;
@end

OSStatus initializeCocoa(OSStatus (*callBack)(int)) ;